﻿html,
body {
  margin: 0;
  padding: 0;
  height: 100%;
  border: none;
}
form {
  margin: 0;
}
#msgEdit {
  min-height: 200px;
}
.toolbar {
  padding: 4px;
  padding-bottom: 0;
  margin-bottom: -2px;
  text-align: left;
  height: 36px;
  font-size: 14px;
  font-family: Arial, Helvetica, sans-serif;
  font-variant: small-caps;
}
.toolbar-row {
  height: 36px;
  display: block;
}
.toolbar-row td {
  height: 36px;
  display: block;
}
.tb-btn {
  color: #216184;
  cursor: pointer;
  padding: 2px;
  display: inline-block;
  height: 30px;
  min-width: 30px;
  text-align: center;
  font-size: 24px;
  vertical-align: middle;
  border: 1px solid;
  border-color: transparent;
}
button.tb-btn {
  padding-bottom: 30px;
}
.tb-btn:hover {
  border-color: #65a7cb;
  color: #65a7cb;
}
.tb-btn img {
  vertical-align: bottom;
  margin-bottom: 4px;
}
.separator {
  width: 1px;
  height: 25px;
  margin-left: 6px;
  margin-right: 6px;
  margin-bottom: 12px;
  border-left: 1px solid #BFD8C4;
  display: inline-block;
  vertical-align: middle;
}
.tb-menu {
  position: relative;
  border: none;
}
.tb-menu .popup {
  display: none;
  position: absolute;
  z-index: 1000;
  background-color: #E8F8E8;
  border: 1px solid #BFD8C4;
  padding: 4px;
  margin: 0;
  list-style: none;
  top: 30px;
  left: 4px;
  white-space: nowrap;
}
.tb-menu .popup li {
  text-align: center;
  margin: 4px;
  vertical-align: middle;
}
.tb-btn,
.tb-menu {
  background: none;
  outline: none;
}
.tt-btn {
  font-family: FontAwesome;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.tt-btn:before {
  content: '\f1e4';
}
.img-btn {
  font-family: FontAwesome;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.img-btn:before {
  content: '\f03e';
}
.link-btn {
  font-family: FontAwesome;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.link-btn:before {
  content: '\f0c1';
}
.ul-btn {
  font-family: FontAwesome;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.ul-btn:before {
  content: '\f0ca';
}
.ol-btn {
  font-family: FontAwesome;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.ol-btn:before {
  content: '\f0cb';
}
.li-btn {
  font-family: FontAwesome;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.li-btn:before {
  content: '▪▬';
}
.quote-btn {
  font-family: FontAwesome;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.quote-btn:before {
  content: '\f10d';
}
.cut-btn {
  font-family: FontAwesome;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.cut-btn:before {
  content: '\f0c4';
}
.code-btn {
  font-family: FontAwesome;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.code-btn:before {
  content: '\f085';
}
.table-btn {
  font-family: FontAwesome;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.table-btn:before {
  content: '\f0ce';
}
.hashlink-btn {
  font-family: FontAwesome;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.hashlink-btn:before {
  content: '#\f0c1';
}
.buttons {
  text-align: right;
  padding-right: 32px;
}
.tooltip-hotkey {
  margin-left: 16px;
}
#tdmsg {
  position: relative;
}
#tdmsg .keyboardInputInitiator {
  position: absolute;
  top: -32px;
  right: 0;
  margin-right: 4px;
  margin-bottom: 4px;
  font-size: 32px;
  color: #216184;
  font-family: FontAwesome;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
#tdmsg .keyboardInputInitiator:before {
  content: '\f11c';
}